#!/bin/sh

IFNAME=enp0s25

iptables -P INPUT ACCEPT

ip addr replace 192.168.1.10/24 dev $IFNAME
ip link set dev $IFNAME up

/usr/sbin/dnsmasq \
	--no-daemon \
	--listen-address 192.168.1.10 \
	--bind-interfaces \
	-p0 \
	--dhcp-authoritative \
	--dhcp-range=192.168.1.100,192.168.1.200 \
	--bootp-dynamic \
	--dhcp-boot=openwrt-23.05.2-ipq40xx-mikrotik-mikrotik_hap-ac2-initramfs-kernel.bin \
	--log-dhcp --log-debug \
	--enable-tftp \
	--tftp-root=$(pwd)

iptables -P INPUT DROP

